export declare const UNDEFINED = -1;
export declare const HOLE = -1;
export declare const NAN = -2;
export declare const POSITIVE_INFINITY = -3;
export declare const NEGATIVE_INFINITY = -4;
export declare const NEGATIVE_ZERO = -5;
export declare const TYPE_BIGINT = "B";
export declare const TYPE_DATE = "D";
export declare const TYPE_MAP = "M";
export declare const TYPE_SET = "S";
export declare const TYPE_REGEXP = "R";
export declare const TYPE_SYMBOL = "Y";
export declare const TYPE_NULL_OBJECT = "N";
export declare const TYPE_PROMISE = "P";
export interface ThisDecode {
    values: unknown[];
    hydrated: unknown[];
    deferred: Record<number, Deferred<unknown>>;
}
export interface ThisEncode {
    index: number;
    indicies: Map<unknown, number>;
    stringified: string[];
    deferred: Record<number, Promise<unknown>>;
}
export declare class Deferred<T = unknown> {
    promise: Promise<T>;
    resolve: (value: T) => void;
    reject: (reason: unknown) => void;
    constructor();
}
export declare function createLineSplittingTransform(): TransformStream<any, any>;
